from synphot import SpectralElement
from synphot.models import Empirical1D
wave = [999, 1000, 2000, 3000, 3001]  # Angstrom
thru = [0, 0.1, -0.2, 0.3, 0]
bp = SpectralElement(
    Empirical1D, points=wave, lookup_table=thru, keep_neg=True)
bp.plot()
plt.axhline(0, color='k', ls=':')