from astropy import units as u
from synphot import SourceSpectrum
from synphot.models import GaussianFlux1D
sp = SourceSpectrum(GaussianFlux1D, mean=1.8*u.micron, fwhm=200*u.nm,
                    total_flux=1e-26*u.W/(u.m**2))
sp.plot(title=sp.meta['expr'])