import matplotlib.pyplot as plt
from synphot import SourceSpectrum
from synphot.models import BlackBodyNorm1D
sp = SourceSpectrum(BlackBodyNorm1D, temperature=5777)
sp.plot(flux_unit='flam', title=sp.meta['expr'])
plt.axvline(sp.model.lambda_max, ls=':')